|
|
@@ -0,0 +1,82 @@
|
|
|
+#!/bin/bash
|
|
|
+# info: add cron job for hestia autoupdates
|
|
|
+# options: NONE
|
|
|
+#
|
|
|
+# The function adds cronjob for hestia autoupdate.
|
|
|
+
|
|
|
+
|
|
|
+#----------------------------------------------------------#
|
|
|
+# Variable&Function #
|
|
|
+#----------------------------------------------------------#
|
|
|
+
|
|
|
+# Argument definition
|
|
|
+user=admin
|
|
|
+
|
|
|
+# Includes
|
|
|
+source $HESTIA/func/main.sh
|
|
|
+source $HESTIA/conf/hestia.conf
|
|
|
+
|
|
|
+
|
|
|
+#----------------------------------------------------------#
|
|
|
+# Verifications #
|
|
|
+#----------------------------------------------------------#
|
|
|
+
|
|
|
+is_system_enabled "$CRON_SYSTEM" 'CRON_SYSTEM'
|
|
|
+is_package_full 'CRON_JOBS'
|
|
|
+get_next_cronjob
|
|
|
+check_cron=$(grep 'v-update-sys-hestia-all' $USER_DATA/cron.conf)
|
|
|
+if [ ! -z "$check_cron" ]; then
|
|
|
+ exit
|
|
|
+fi
|
|
|
+
|
|
|
+
|
|
|
+#----------------------------------------------------------#
|
|
|
+# Action #
|
|
|
+#----------------------------------------------------------#
|
|
|
+
|
|
|
+# Generating timestamp
|
|
|
+time_n_date=$(date +'%T %F')
|
|
|
+time=$(echo "$time_n_date" |cut -f 1 -d \ )
|
|
|
+date=$(echo "$time_n_date" |cut -f 2 -d \ )
|
|
|
+
|
|
|
+# Define time somewhere at night
|
|
|
+min=$(generate_password '012345' '2')
|
|
|
+hour=$(generate_password '1234567' '1')
|
|
|
+day='*'
|
|
|
+month='*'
|
|
|
+wday='*'
|
|
|
+command='sudo /usr/local/vesta/bin/v-update-sys-hestia-all'
|
|
|
+
|
|
|
+# Concatenating cron string
|
|
|
+str="JOB='$job' MIN='$min' HOUR='$hour' DAY='$day' MONTH='$month' WDAY='$wday'"
|
|
|
+str="$str CMD='$command' SUSPENDED='no' TIME='$time' DATE='$date'"
|
|
|
+
|
|
|
+# Adding to crontab
|
|
|
+echo "$str" >> $HESTIA/data/users/$user/cron.conf
|
|
|
+
|
|
|
+# Chaning permissions
|
|
|
+chmod 660 $HESTIA/data/users/$user/cron.conf
|
|
|
+
|
|
|
+# Sort jobs by id number
|
|
|
+sort_cron_jobs
|
|
|
+
|
|
|
+# Sync cronjobs with system crond
|
|
|
+sync_cron_jobs
|
|
|
+
|
|
|
+
|
|
|
+#----------------------------------------------------------#
|
|
|
+# Vesta #
|
|
|
+#----------------------------------------------------------#
|
|
|
+
|
|
|
+# Increasing cron value
|
|
|
+increase_user_value $user '$U_CRON_JOBS'
|
|
|
+
|
|
|
+# Restarting crond
|
|
|
+$BIN/v-restart-cron
|
|
|
+check_result $? "Cron restart failed" >/dev/null
|
|
|
+
|
|
|
+# Logging
|
|
|
+log_history "added cron job $job"
|
|
|
+log_event "$OK" "$ARGUMENTS"
|
|
|
+
|
|
|
+exit
|